from abc import ABC, abstractmethod
from dataclasses import dataclass


@dataclass
class AbstractStatement(ABC):
    database: str

    @abstractmethod
    def generate_sql(self) -> str:
        ...

    @abstractmethod
    def form_result(self, payload: str):
        ...
